# Set promotion scope

프로모션의 대상을 설정합니다. 프로모션이 읽기 전용(read_only = true)인 경우 프로모션 대상을 업데이트할 수 없습니다. 프로모션 대상은 다음 값을 가질 수 있습니다: purchase, items, 또는 packages.

  주의이 API 호출에는 project_id 경로 매개 변수가 포함되어 있지 않으므로 회사의 모든 프로젝트에서 유효한 API 키를 사용하여 인증을 설정해야 합니다.

Endpoint: PUT /merchants/{merchant_id}/promotions/{promotion_id}/subject
Version: 2.0
Security: basicAuth

## Path parameters:

  - `merchant_id` (integer, required)
    판매자 ID입니다.

  - `promotion_id` (integer, required)
    프로모션 ID입니다.

## Request fields (application/json):

  - `digital_contents` (object,null)

  - `items` (array)
    Array of virtual items that the promotion applies to.

  - `items.id` (integer)

  - `items.localized_name` (string)
    기본 언어(영어)로 표기된 요금제 명칭, name.en 값을 복제합니다.

  - `items.sku` (string)
    Item SKU.

  - `packages` (array,null)
    Array of virtual currency packages that the promotion applies to.

  - `purchase` (boolean)
    Whether the promotion applies to the whole purchase.

  - `subscriptions` (object,null)
    Subscription plans or products that the promotion applies to.

  - `subscriptions.max_charges_count` (integer)
    Maximum number of billings that the promotion applies to.

  - `subscriptions.plans` (array)

  - `subscriptions.products` (array)


## Response 204 fields
